{% extends "layout.html" %}

{% block title %}
Exam attempts {%if year%}{{year}}{%endif%} {%if quarter %}Q{{quarter}}{%endif%}
{% endblock %}

{% block body %}

{% include 'dossier-quarter-selector.html' %}

{% if not archive_mode and year and quarter %}
<div class="notification is-info">
    By the end of each quarter, after all exams have been graded, an exam dossier archive should be created:
    <textarea readonly onclick="event.target.focus(); event.target.select();">wget -q -r '--include-directories=exam_dossier*,exam_dossier,static' -N -E -k -p -nH --header="Cookie: archive=1; session={{session_cookie}}; theme=light" "{{base_url}}/exam_dossier_{{year}}q{{quarter}}"</textarea>
    <textarea readonly onclick="event.target.focus(); event.target.select();">7za a -r -t7z -m0=lzma2 -mx=9 -mfb=273 -md=29 -ms=8g -mmt=off -mmtf=off -mqs=on -bt -bb3 {{year}}q{{quarter}}.7z *</textarea>
    The file should be uploaded to the appropriate folder in <a target="_blank" href="https://tos.saxion.nl/files/4e586869-b8dc-432e-b330-49d8bfd6c318">TOS</a>, together with a <code>README.txt</code>:
    <textarea readonly onclick="event.target.focus(); event.target.select();">
This exam dossier consists of a single archive file, containing all exam material for all Software Development modules for this quarter. It's effectively a backup of the https://sd42.nl/exam_dossier page of our own LMS. We recommend using that page instead of the archive file. You can request access from the course director.

The archive can be extracted using: https://www.7-zip.org/download.html -- The reason we're using 7-zip instead of a more common archiver, is that it handles (nearly) duplicate files (of which we may have many) very efficiently.

Within the archive you'll find an `.html`, which you should be able to open within any browser. From there, all info in the dossier should be easy to find.</textarea>
</div>
{% endif %}

<div class="notification">
    Programme-wide examination rules can be found in the <a href="/coc#exams"><em>Exams</em> section of our Code of Conduct</a>.
</div>

<table>
    {% for module in module_counts %}
        <tr>
            <td><a href="{{module.link}}">{{module.name}}</a></td>
            <td>{{module.count}}</td>
        </tr>
    {% endfor %}
</table>

{% endblock %}